//
//  ViewController.h
//  BeerBox
//
//  Created by Lukas on 24/07/14.
//  Copyright (c) 2014 LBSFilm. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "SerialGATT.h"

@interface ViewController : UIViewController<BTSmartSensorDelegate, UITextFieldDelegate, UITableViewDataSource, UITextFieldDelegate>

@property (strong, nonatomic) SerialGATT *btControl;
@property (strong, nonatomic) CBPeripheral *box;
@property Boolean connected;

- (IBAction)connect:(id)sender;

- (IBAction)listUsers:(id)sender;
- (IBAction)listDrinks:(id)sender;
- (IBAction)startScan:(id)sender;

- (IBAction)getUser:(id)sender;
- (IBAction)revokeRFID:(id)sender;
- (IBAction)revokeFinger:(id)sender;
- (IBAction)setCredits:(id)sender;
- (IBAction)setName:(id)sender;
- (IBAction)removeUser:(id)sender;

- (IBAction)clearOutput:(id)sender;

@property (weak, nonatomic) IBOutlet UILabel *status;

@property (weak, nonatomic) IBOutlet UITextField *fileEntry;
@property (weak, nonatomic) IBOutlet UITextField *dataEntry;

@property (weak, nonatomic) IBOutlet UITextView *output;

@end
